%define oname base

# This package is needed to build ppx_jane, but its tests require ppx_jane.
# Break the dependency cycle here.
%bcond_with test

Name:           ocaml-%{oname}
Version:        0.17.1
Release:        %mkrel 1
Summary:        Full standard library replacement for OCaml
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://opensource.janestreet.com/base/
Source0:        https://github.com/janestreet/%{oname}/archive/refs/tags/v%{version}.tar.gz#/ocaml-%{oname}-%{version}.tar.gz
# Expose a dependency on the math library so RPM can see it
Patch:          %{name}-mathlib.patch

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  ocaml-intrinsics-kernel-devel
BuildRequires:  ocaml-sexplib0-devel

%if %{with test}
BuildRequires:  ocaml-core-devel
BuildRequires:  ocaml-expect-test-helpers-core-devel
BuildRequires:  ocaml-num-devel
BuildRequires:  ocaml-ppx-jane-devel
BuildRequires:  ocaml-sexplib-devel
BuildRequires:  ocaml-stdio-devel
%endif

%description
Base is a complete and portable alternative to the OCaml standard
library. It provides all standard functionalities one would expect
from a language standard library. It uses consistent conventions
across all of its module.

Base aims to be usable in any context. As a result system dependent
features such as I/O are not offered by Base. They are instead
provided by companion libraries such as stdio.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-intrinsics-kernel-devel%{?_isa}
Requires:       ocaml-sexplib0-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n %{oname}-%{version} -p1

%build
%dune_build

%install
%dune_install

%if %{with test}
%check
%dune_check
%endif

%files -f .ofiles
%doc CHANGES.md README.org ROADMAP.md
%license LICENSE.md

%files devel -f .ofiles-devel



%changelog
* Sun Mar 30 2025 pterjan <pterjan> 0.17.1-1.mga10
+ Revision: 2171842
- Update to 0.17.1
+ danf <danf>
- Fix source URL

* Sat Oct 08 2022 pterjan <pterjan> 0.15.1-1.mga9
+ Revision: 1895469
- Update to 0.15.1

* Thu May 19 2022 pterjan <pterjan> 0.15.0-2.mga9
+ Revision: 1859203
- Rebuild for OCaml 4.14

* Mon May 09 2022 pterjan <pterjan> 0.15.0-1.mga9
+ Revision: 1857155
- Update to 0.15.0

* Sun Apr 03 2022 umeabot <umeabot> 0.14.1-3.mga9
+ Revision: 1841810
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.14.1-2.mga9
+ Revision: 1751004
- ebuild for ocaml 4.13.1

* Thu Mar 04 2021 tv <tv> 0.14.1-1.mga9
+ Revision: 1697940
- drop merged patch
- 0.14.1

* Sun Jan 10 2021 pterjan <pterjan> 0.13.0-4.mga8
+ Revision: 1670430
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.13.0-3.mga8
+ Revision: 1551579
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.13.0-2.mga8
+ Revision: 1543655
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 0.13.0-1.mga8
+ Revision: 1482081
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 0.11.1-1.mga7
+ Revision: 1324414
- Update BuildRequires
+ tv <tv>
- new release
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.10.0-4.mga7
+ Revision: 1299835
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 0.10.0-3.mga7
+ Revision: 1242063
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Feb 05 2018 daviddavid <daviddavid> 0.10.0-2.mga7
+ Revision: 1199037
- fix shared stubs libraries ocaml path

* Sat Jan 13 2018 pterjan <pterjan> 0.10.0-1.mga7
+ Revision: 1192892
- Fix BuildRequires
- Fix BuildRequires
- update to v0.10.0
- imported package ocaml-base

